Search Company API

Last updated: Oct 20th, 2018
Uses company name, address etc information to identify a company and return the URN

Resource URL

Contact account manager for resource URL

Resource Information

    • Response formats JSON
    • Requires authentication? Yes
    • Rate limited? Default Yes

Parameters

Name Required Description Default Value Example
username required API username as supplied by your account manager   [email protected]
password required API password as supplied by your account manager   Passw0rd
dataset required The dataset that you wish to connect to. This will be provided by your account manager   IDS
searchname required The company name that you are searching for   Acme Corp
searchzip required The postcode/zipcode of the company you are searching for   SN1 4RT recent popular
searchAdd1 optional Address line of the company you are searching for excluding city and postcode/zipcode   22 High St
searchCity optional The city of the company you are searching for   Swindon
searchtel optional Telephone number of the company you are searching for   01255 415469
searchURL optional The website address of the company you are searching for   www.acme.com
searchReg optional The company registration number of the company you are searching for   014587966

Example Request

curl -X POST \
http://resourceurl/1.0/Search \
-H 'Content-Type: application/json' \
-H 'cache-control: no-cache' \
-d '{"username":"[email protected]","password":"qwery1$1","dataset":"IDS","searchname":"A & M Edwards","searchAdd1":"11 Mostyn Avenue","searchzip":"DE23 6Hl"}'


POST /1.0/Search
Host: resourceurl
Content-Type: application/json
cache-control: no-cache
{"username":"[email protected]","password":"qwery1$1","dataset":"IDS","searchname":"A & M Edwards","searchAdd1":"11 Mostyn Avenue","searchzip":"DE23 6Hl"}

Example Response

{
"response": "Searched successfully",
"success": true,
"SearchId": "CKFI715",
"dataType": 0
}

-->

Get Company API

Last updated: Oct 20th, 2018
Uses company URN to return company information

Resource URL

Contact account manager for resource URL

Resource Information

    • Response formats JSON
    • Requires authentication? Yes
    • Rate limited? Default Yes

Parameters

Name Required Description Default Value Example
username required API username as supplied by your account manager   [email protected]
password required API password as supplied by your account manager   Passw0rd
dataset required The dataset that you wish to connect to. This will be provided by your account manager   IDS
companyurn required The company URN of the company   DG14367

Example Request

curl -X POST \
http://resourceurl/1.0/Company \
-H 'Content-Type: application/json' \
-H 'cache-control: no-cache' \
-d '{"username":"[email protected]","password":"qwery1$1","dataset":"IDS","companyurn":"CKFI715"}


POST /1.0/Company
Host: resourceurl
Content-Type: application/json
cache-control: no-cache
{"username":"[email protected]","password":"qwerty1$1","dataset":"IDS","companyurn":"CKFI715"}

Example Response

{
"response": "Company found successfully",
"success": true,
"companyname": "Billy Bowie Special Projects Ltd",
"companyadd1": "Moorfield Industrial Estate",
"companyadd2": "",
"companyadd3": "",
"companycity": "Kilmarnock",
"companyzip": "KA2 0BA",
"companyfleetband": "F : 50-99",
"companyregno": "SC194894",
"companysic2007": "52219: Other service activities incidental to land transportation; n.e.c.",
"companyturnoverband": "N: 10,000,000 to 24,999,999",
"companyestab": "199903",
"companysector": "Road Haulage and Transport Services",
"companyempsband": "50 to 99",
"companyDTI": "Southern Scotland",
"companytps": "N",
"companytel": "01563549049",
"companysdmfirstname": "Billy",
"companysdmlastname": "Bowie",
"companysdmjobtitle": "Managing Director",
"dataType": 0
}

Get Audience API

Last updated: Dec 20th, 2020
Uses a company URN to find look-alikes based on company size and sector

Resource URL

Contact account manager for resource URL

Resource Information

    • Response formats JSON
    • Requires authentication? Yes
    • Rate limited? Default Yes

Parameters

Name Required Description Default Value Example
username required API username as supplied by your account manager   [email protected]
password required API password as supplied by your account manager   Passw0rd
dataset required The dataset that you wish to connect to. This will be provided by your account manager   IDS
companyurn required The company URN of the company   DG14367
limit required The maximum number of records to return   5000
entitytype Head office or branch H/B   5000
postalarea List of postal areas to limit result to   BS,SN

Example Request

curl -X POST \
http://resourceurl/1.0/Audience \
-H 'Content-Type: application/json' \
-H 'cache-control: no-cache' \
-d '{"username":"[email protected]","password":"qwery1$1","dataset":"IDS","companyurn":"CKFI715","limit":"5000","entitytype":"H","postalarea":"BS"}


POST /1.0/Audience
Host: resourceurl
Content-Type: application/json
cache-control: no-cache
{"username":"[email protected]","password":"qwerty1$1","dataset":"IDS","companyurn":"CKFI715","limit":"5000","entitytype":"H","postalarea":"BS"}

Example Response


{ "results_count": 2, "results": [

{ "companyname": "Billy Bowie Special Projects Ltd", "companyadd1": "Moorfield Industrial Estate", "companyadd2": "", "companyadd3": "", "companycity": "Kilmarnock", "companyzip": "KA2 0BA", "companyfleetband": "F : 50-99", "companyregno": "SC194894", "companysic2007": "52219: Other service activities incidental to land transportation; n.e.c.", "companyturnoverband": "N: 10,000,000 to 24,999,999", "companyestab": "199903", "companysector": "Road Haulage and Transport Services", "companyempsband": "50 to 99", "companyDTI": "Southern Scotland", "companytps": "N", "companytel": "01563549049", "companysdmfirstname": "Billy", "companysdmlastname": "Bowie", "companysdmjobtitle": "Managing Director", "dataType": 0 },

{ "companyname": "Power Drive System Ltd", "companyadd1": "Durent Drive", "companyadd2": "", "companyadd3": "", "companycity": "Kilmarnock", "companyzip": "KA4 5HY", "companyfleetband": "F : 50-99", "companyregno": "SC156874", "companysic2007": "52219: Other service activities incidental to land transportation; n.e.c.", "companyturnoverband": "N: 10,000,000 to 24,999,999", "companyestab": "197503", "companysector": "Road Haulage and Transport Services", "companyempsband": "50 to 99", "companyDTI": "Southern Scotland", "companytps": "Y", "companytel": "01563452548", "companysdmfirstname": "Mike", "companysdmlastname": "Jenner", "companysdmjobtitle": "Managing Director", "dataType": 0 }, ] }

Update Company API

Last updated: Dec 20th, 2020
Uses a company URN to update company and contact information

Resource URL

Contact account manager for resource URL

Resource Information

    • Response formats JSON
    • Requires authentication? Yes
    • Rate limited? Default Yes

Parameters

Name Required Description Default Value Example
username required API username as supplied by your account manager   [email protected]
password required API password as supplied by your account manager   Passw0rd
dataset required The dataset that you wish to connect to. This will be provided by your account manager   IDS
companyurn required The company URN of the company   DG14367
contacturn The URN of the contact   8154687
company_name Company name   Acme Corp
address1 Address Line 1   Unit 1 The Park
address2 Address Line 2   High Road
address3 Address Line 3   Bletchley Park
city City   Bristol
county County   Avon
economic_region Economic Region   South West
postcode Postcode   BS4 6TG
country Country   UK
company_phone Company Phone   0117 123456
employees Numeric Employees   23
employee_band Employees Band   20-50
annual_revenue Numeric Revenue   565000
revenue_band Annual Revenue Band   0-1m
sic2007_2 SIC 2007 2-digit code   41
sic2007_5 SIC 2007 5-digit code   41230
ctps_flag CTPS/TPS Flag   N
website Company Website   acme.com
company_type Company Type   Limited
company_status Company Status   Active
site_type Site Type   Manufacturing
reg_number Company Registration Number   0123456
reg_date Company Registration Date   02/05/1955
industry Industry   Construction
bus_class Business Classification   Building Materials
salutation Contact Salutation   Mr
firstname Contact Firstname   John
lastname Contact Lastname   Smith
job_title Contact Job Title   Accountant
job_function Contact Job Function   Finance
seniority Contact Seniority   Decision Maker
personal_email Contact Email   [email protected]
generic_email Company Email   [email protected]

Example Request

curl -X POST \
http://resourceurl/1.0/Update \
-H 'Content-Type: application/json' \
-H 'cache-control: no-cache' \
-d '{"username":"[email protected]","password":"qwerty1$1","dataset":"IDS","companyurn":"CKFI715","contacturn":"2411564","company_name":"Acme Corp","address1":"Unit 1 The Park","address2":"High Road","address3":"Bletchley Park","city":"Bristol","county":"Avon","economic_region":"South West","postcode":"BS4 6TG","country":"UK","company_phone":"0117 123456","employees":"23","employee_band":"20-50","annual_revenue":"565000","revenue_band":"0-1m","sic2007_2":"41","sic2007_5":"41230","ctps_flag":"N","website":"acme.com","company_type":"Limited","site_type":"Manufacturing","reg_number":"0123456","reg_date":"02/05/1955","industry":"Construction","bus_class":"Building Materials","salutation":"Mr","firstname":"John","lastname":"Smith","job_title":"Accountant","job_function":"Finance","seniority":"Decision Maker","personal_email":"[email protected]","generic_email":"[email protected]"}


POST /1.0/Update
Host: resourceurl
Content-Type: application/json
cache-control: no-cache
{"username":"[email protected]","password":"qwerty1$1","dataset":"IDS","companyurn":"CKFI715","contacturn":"2411564","company_name":"Acme Corp","address1":"Unit 1 The Park","address2":"High Road","address3":"Bletchley Park","city":"Bristol","county":"Avon","economic_region":"South West","postcode":"BS4 6TG","country":"UK","company_phone":"0117 123456","employees":"23","employee_band":"20-50","annual_revenue":"565000","revenue_band":"0-1m","sic2007_2":"41","sic2007_5":"41230","ctps_flag":"N","website":"acme.com","company_type":"Limited","site_type":"Manufacturing","reg_number":"0123456","reg_date":"02/05/1955","industry":"Construction","bus_class":"Building Materials","salutation":"Mr","firstname":"John","lastname":"Smith","job_title":"Accountant","job_function":"Finance","seniority":"Decision Maker","personal_email":"[email protected]","generic_email":"[email protected]"}

Example Response

{
"response": "Updated successfully",
"success": true,
"dataType": 0
}


  Authentication

Last updated: Mar 28th, 2025
Authenticates a user and returns a token for use in future requests.

Resource URL

Contact account manager for resource URL

Resource Information

    • Response formats JSON
    • Requires authentication? Yes
    • Rate limited? Yes

Parameters

Name Required Description Default Value Example
UserName required API username as supplied by your account manager   [email protected]
Password required API password as supplied by your account manager   Passw0rd
grant_type required Type of authentication   password

Example Request

curl -X POST \
http://resourceurl/api/token \
-H "Content-Type: text/plain;charset=UTF-8" \
-H "cache-control: no-cache" \
--data "[email protected]&password=abc123"


POST /api/token
Host: https://resourceurl/api/token
Content-Type: application/json
cache-control: no-cache
[email protected]&password=abc123

Example Response

{
"access_token": "ABCDEFGHIJKLMNOP",
"token_type": "bearer",
"expires_in": 43199
}


-->

  Make Selections

Last updated: Mar 28th, 2025
Allows selections to be made to create counts. requests.

Resource URL

Contact account manager for resource URL

Resource Information

    • Response formats JSON
    • Requires authentication? Yes
    • Rate limited? Yes

Parameters

Name Required Description Default Value Example
structureID required ID of the data structure to make selections from.   123
searchType required The type of search to use for the values posted.   StartsWith
filter required A list of values, each separated by a line break (\n), to add to the selection.   DOG \n Cat \n Bird \n Horse

Example Request

curl -X POST \
http://resourceurl/api/Selection/PasteSelection \
-H "Content-Type: text/plain;charset=UTF-8" \
-H "cache-control: no-cache" \
-H "Authorization": "Bearer ABCDEFGHIJKLMNOP"
--data '{"structureID":"1", "searchType": "StartsWith", "filter": "Dog \n Cat \n Horse \n Bird"}


POST /api/Selection/PasteSelection
Host: https://resourceurl/api/Selection/PasteSelection
Authorization: Bearer ABCDEFGHIJKLMNOP
Content-Type: application/json
cache-control: no-cache
{"structureID":"1", "searchType": "StartsWith", "filter": "Dog \n Cat \n Horse \n Bird"}

Example Response

1

The number of selection items found and placed into selection - not a count of companies matched

  Get Count

Last updated: Mar 28th, 2025
Gets the number of companies matched to the current selection.

Resource URL

Contact account manager for resource URL

Resource Information

    • Response formats JSON
    • Requires authentication? Yes
    • Rate limited? Yes

Parameters

Name Required Description Default Value Example
nPerSite Not required Indicates whether the "nPerSite" logic should be used in the count of contacts. 0 (All) 5

Example Request

curl -X POST \
http://resourceurl/api/Selection/RefreshCount \
-H "Content-Type: text/plain;charset=UTF-8" \
-H "cache-control: no-cache" \
-H "Authorization": "Bearer ABCDEFGHIJKLMNOP"


POST /api/Selection/PasteSelection
Host: https://resourceurl/api/Selection/RefreshCount
Authorization: Bearer ABCDEFGHIJKLMNOP
Content-Type: application/json
cache-control: no-cache

Example Response

13205

The number of companies matched to the current selection.